For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
            • GETList Quotes
            • POSTCreate Quote
            • GETGet Quote Details
            • PUTSend Quote Message
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • GETGet Quote Configs
            • POSTSend Quote Email
            • GETGet Quote Store Info
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontRequest for Quote

Send Quote Message

PUT
https://api-b2b.bigcommerce.com/api/v2/rfq/:quote_id
PUT
/api/v2/rfq/:quote_id
$curl -X PUT https://api-b2b.bigcommerce.com/api/v2/rfq/123456 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "quoteId": 123456,
6 "quoteUrl": "https://mybcstore.com/#/quoteDetail/123456?date=1745942332"
7 }
8}

Sends a message via the in-quote messaging system, from the perspective of the Company user.

This PUT request cannot be used to edit other details of an existing quote. Once a quote has been submitted to the sales representative, buyers can no longer edit quote details like shipping address or line items.

Equivalent Storefront GraphQL API Mutation: quoteUpdate.

Was this page helpful?
Previous

Get Quote Details

Next

Generate Cart and Checkout URL for Quote

Built with

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

quote_idstringRequired
The internal numeric ID of the sales quote.

Request

This endpoint expects an object.
storeHashstringOptional
The unique store hash for the BigCommerce store.
messagestringOptional

A message sent to the sales rep via the in-quote messaging system.

Response

OK
codeintegerDefaults to 200
messagestringDefaults to SUCCESS
dataobject

Errors

400
Bad Request Error